/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#ifndef DEBUG_H
#define DEBUG_H

/**
 * @brief print a character to debug output
 * @param[in] chr character to print
 */
void debug_chr(char chr);

/**
 * @brief print a string to debug output
 * @param[in] str string to print
 */
void debug_str(const char *str);

/**
 * @brief print an unsigned integer in decimal to debug output
 * @param[in] uint unsigned integer value
 * @param[in] cnt number of digits
 */
void debug_uint_dec(unsigned int uint, unsigned int cnt);

/**
 * @brief print an unsigned integer in hexdecimal to debug output
 * @param[in] uint unsigned integer value
 * @param[in] cnt number of digits
 */
void debug_uint_hex(unsigned int uint, unsigned int cnt);

#endif /* #ifndef DEBUG_H */

